import path from "path";
import fs from "fs";

export const executeInSeries = async (tasks: (() => Promise<void>)[]) => {
  for (const task of tasks) {
    await task();
  }
};

export const copyFolderSync = (from: string, to: string) => {
  fs.mkdirSync(to, { recursive: true });
  fs.readdirSync(from).forEach((element) => {
    const fromPath = path.join(from, element);
    const toPath = path.join(to, element);
    if (fs.lstatSync(fromPath).isFile()) {
      fs.copyFileSync(fromPath, toPath);
    } else {
      copyFolderSync(fromPath, toPath);
    }
  });
};
